Bug 214537 - USB HID devices not recognised with SMP kernel
USB HID devices not recognised with SMP kernel
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
: 214538 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 21:31 EST by Ben Stringer
Modified: 2012-06-20 09:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:31:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Stringer 2006-11-07 21:31:26 EST
Description of problem:
USB keyboard and mouse not recognised when booting with SMP kernels. Hardware 
is a Dell Optiplex 280, with hyperthreading-capable Celeron processor.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-22.EL and kernel-smp-2.6.9-42.0.3.EL

How reproducible:
This is occurring consistently. Booting with the equivalent UP kernel versions 
works as expected.

Steps to Reproduce:
1. Boot with SMP kernel
2. After GRUB screen, keyboard and mouse are unresponsive.
3. Boot with UP kernel - keyboard and mouse work as expected.
  
Actual results:
SMP kernels do not recognise USB HID devices.

Expected results:
USB HID devices should be recognised and work.

Additional info:

When booting with UP kernel, the following is logged in /var/log/messages:

  kernel: input: USB HID v1.10 Keyboard ...
  kernel: input: USB HID v1.10 Mouse ...

When booting with an SMP kernel, these lines are not logged.
Comment 1 Jason Baron 2006-11-30 14:05:12 EST
*** Bug 214538 has been marked as a duplicate of this bug. ***
Comment 2 Pete Zaitcev 2006-11-30 14:24:51 EST
I need at least dmesg for both UP and SMP.
Comment 3 Pete Zaitcev 2007-02-21 19:44:35 EST
Ben, please give me two dmesgs... I need at least something to look at,
because I'm baffled without data.

Also, since this is the 280, attach the output of dmidecode as well.
The 280 is known to have defective firmware which has weirdest problems.
I need to get your A-level and pass it over to Dell for checking.

And finally, make sure to have an I-T ticket. It's necessary for RHEL bugs.
Comment 4 Jiri Pallich 2012-06-20 09:31:36 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.